MKSUNBOOTCD(8)

NAME
mksunbootcd - combine filesystem for Sun Microsystems, Inc. computers for creating bootable compact discs images.

SYNOPSIS
mksunbootcd [-c cylsz] [-d] [-v] filesystem sun4 sun4c sun4m sun3|sun4d sun3x|sun4e

DESCRIPTION
The mksunbootcd program combines filesystem partitions for Sun Microsystems, Inc. computers into an image suitable for writing to a compact disc, that will allow the disc to be booted on the sun3, sun3x, sun4, sun4c, sun4m and sun4u platforms. This hardware is supported by the NetBSD sparc, sparc64 and sun3 ports. The architecture arguments above must be the bootable filesystem images for the named architecture. filesystem is typically an iso9660 filesystem, see mount_cd9660(8) for details, but can be any type as long as the first 512 bytes of the image are not used. This image is modified, and the additional partitions added after this partition, in order. If any architecture image is missing, that partition is not used. If a disc with sun4 and sun4m support only was to be created, a dummy image would need to be in place for sun4c.

If the same boot image maybe used for multiple architectures (as the NetBSD/sparc ports for sun4, sun4c and sun4m allow), the same bootfile can be listed multiple times on the command line. The mksunbootcd program will detect this and only write one copy of the boot image.

NOTES
For the UltraSPARC line of computers, the PROM decodes a file in the first partition of the CD-ROM, which must be an ISO9660 file-system, called .slicemapfile. The format of this file is an “m” followed by a partition number, starting at offset 0, plus an architecture identifier, such as “sun4c” or “sun4u”. The UltraSPARC uses the “sun4u” partition as it's boot partition. An example file that would be compatible with older hardware would look like:

            m       1       sun4
            m       2       sun4c
            m       3       sun4m
            m       4       sun4d
            m       5       sun4u

As such, to enable UltraSPARC booting, such a file must be present on the image before mksunbootcd adds bootable partitions to the image.

OPTIONS
The following options are available:

-c  The -c option sets cylinder size for this cd to cylsz, which must be a multiple of 4. The default cylinder size is 640.

-d  The -d option turns on debugging output.

-v  The -v option turns on verbose output.

AUTHOR
The mksunbootcd program was written by Ignatios Souvatzis <is@netbsd.org>, with some help from Matthew Green <mrg@eterna.com.au>, who also wrote this manual page.

SEE ALSO
newfs(8), mount(8), mount_ffs(8).